# 最终要筛选文件的路径
path=""

# 文件名
file=""

# 要筛选的关键字
key=""

# 默认路径
logPath="/Users/stone/test/shell-test/nginx/"

# -c任务名 -g要筛选的关键字
while getopts ":c::k::" arg
do
  case $arg in
  c)
    file=$OPTARG
    ;;
  k)
    key=$OPTARG
    ;;
  esac
done
shift $(($OPTIND - 1))

# 定义任务
declare -a logMap

# |-----------------------------------------|
# |           在下面添加任务名称               |
# |-----------------------------------------|
# | example: logMap+=(["taskName"]="filePath")  |
# |-----------------------------------------|

logMap+=(["gray-p"]=${logPath}"gray.ubank.com.access.log")

# 匹配相应任务的文件路径
for k in ${!logMap[@]};do
  #if [ "$k" = "$file" ];then
  if [ "$k" = 0 ];then
    file=${logMap[$k]}
  break
  fi
done

# 查看任务列表
if [ $1 = "list" ];then
  for k in ${!logMap[@]};do
    echo $k' -> '${logMap[$k]}
  done
  exit 0
fi


if [ $file ]; then
  path=${file}
fi

if [ $path ];then
  if [ $key ];then
    tail -f $path | grep $key
  else
    tail -f $path
  fi
else
  echo "hello"
fi

